/*
|--------------------------------------------------------------------------
| Category Product Grid
|--------------------------------------------------------------------------
|
| Mobil: 2 ürün
| Tablet: 2 ürün
| Masaüstü: 3 ürün
|
*/

.category-product-grid {
    display: grid !important;
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    gap: 20px !important;

    @media (min-width: 640px) {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
        gap: 30px !important;
    }

    @media (min-width: 1024px) {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
        gap: 30px !important;
    }
}

.four-product {
    display: grid !important;
    grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    gap: 20px !important;

    @media (min-width: 640px) {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
        gap: 30px !important;
    }

    @media (min-width: 1024px) {
        grid-template-columns: repeat(4, minmax(0, 1fr)) !important;
        gap: 30px !important;
    }
}
/*
|--------------------------------------------------------------------------
| Category Sidebar Layout
|--------------------------------------------------------------------------
*/

.category-product-grid.with-sidebar {
    @media (min-width: 1024px) {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}

/*
|--------------------------------------------------------------------------
| Category Full Width Layout
|--------------------------------------------------------------------------
*/

.category-product-grid.no-sidebar-wide {
    @media (min-width: 1024px) {
        grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    }
}
